package com.cool.store.enums.fees;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * <p>
 * 平安钱包缴费转账状态枚举类
 * </p>
 *
 * @author wangff
 * @since 2026/2/3
 */
@Getter
@AllArgsConstructor
public enum AllocationPayStatusEnum {

    PAID(1, "已支付"),
    FAIL(2, "支付失败"),
    PAYING(3, "支付中"),
    CANCEL(4, "已取消"),
    UNPAID(5, "未支付"),
    ;

    private final Integer status;

    private final String desc;

    public static String getDescByStatus(Integer status) {
        for (AllocationPayStatusEnum value : values()) {
            if (value.status.equals(status)) {
                return value.desc;
            }
        }
        return "";
    }
}
